<?php

namespace App\Service\SnipParser\Markdown;

use App\Service\SnipParser\AbstractParser;
use League\CommonMark\GithubFlavoredMarkdownConverter;

class MarkdownParser extends AbstractParser
{
    public function safeParseView(string $content): string
    {
        $converter = new GithubFlavoredMarkdownConverter();
        return $converter->convert($content);
    }
}